@font-face {
	font-family: "fzzdh";
	src: url("../fonts/fzzdh.ttf");
}

body,
html {
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
}

body {
	font-family: "PingFang SC", miui, system-ui, -apple-system, BlinkMacSystemFont, Helvetica Neue, Helvetica, Microsoft YaHei, Arial, sans-serif;
	-ms-overflow-style: none;
	scrollbar-width: none;
	background-color: #e31b00;
	font-size: 0.11rem;
	overflow-x: hidden;
}

span,
img {
	display: block;
}

div {
	box-sizing: border-box;
}

ul,
li {
	margin: 0;
	padding: 0;
	list-style: none;
}

p {
	margin: 0;
	padding: 0;
}

a {
	text-decoration: none;
}

.flex {
	display: flex;
}

.align-center {
	align-items: center;
}

.ml {
	margin-left: auto;
}

/* .bg {
	margin: 0.1rem 0.1rem 0;
	position: relative;
	background: url('../images/bg.jpg');
	background-size: cover;
	min-height: 3rem;
} */
.bg {
	position: relative;
	background-image: url(../images/bg_51.jpg);
	width: 100%;
	height: 4.6rem;
	background-size: 100%;
	background-repeat: no-repeat;
}

.my-font {
	font-family: "fzzdh";
}

.title {
	font-size: 0.45rem;
	margin-top: 0.1rem;
	color: #fa2100;
}

.title2 {
	font-size: 0.16rem;
	margin-top: 0.2rem;
	color: #fa2100;
}

.title3 {
	font-size: 0.16rem;
	margin-top: 0.05rem;
	color: #fa2100;
}

.text-center {
	text-align: center;
}

.text-red {
	color: #fa2100;
}

.hongbao {
	width: 3.5rem;
	display: block;
	margin: 0 auto;
	margin-top: 0.13rem;
}

.price {
	position: absolute;
	color: rgb(255, 246, 173);
	font-size: 0.15rem;
	font-weight: 600;
	top: 27%;
	left: 73%;
	z-index: 1;
	width: 0.6rem;
	text-align: center;
}

.info-bg {
	background-color: rgba(255, 255, 255, 0.7);
	margin-left: 0.07rem;
	margin-right: 0.07rem;
	border-radius: 16px;
	margin-top: -0.09rem;
	position: relative;
	padding: 0.06rem;
}

.info-mian {
	background: #fff;
	border-radius: 11px;
	padding: 0.2rem;
}

.info-mian .fl-title {
	margin: -0.2rem auto 0.2rem;
	width: 1.2rem;
}

.fls {
	justify-content: center;
	padding-bottom: 0.16rem;
	border-bottom: 1px dashed #7e7e7e;
	margin-bottom: 0.1rem;
}

.fls img {
	width: .8rem;
	height: .8rem;
}

.fls img+img {
	margin-left: .2rem;
}

.scoll-news {
	overflow: hidden;
	font-size: 0.13rem;
	height: 0.3rem;
	line-height: 0.3rem;
}

.copy-right {
	color: #fff;
	text-align: center;
	margin-top: 0.5rem;
	margin-bottom: 0.1rem;
}

.submit {
	background: #fa2100;
	color: #fff;
	text-align: center;
	height: 0.42rem;
	line-height: 0.42rem;
	font-size: 0.23rem;
	border-radius: 30px;
	width: 80%;
	margin: 0 auto;
	margin-top: 0.2rem;
	-webkit-animation-name: 'pulse';
	-webkit-animation-duration: 1s;
	-webkit-animation-timing-function: ease-in-out;
	-webkit-animation-delay: 0s;
	-webkit-animation-iteration-count: infinite;
}

@keyframes pulse {
	0% {
		transform: scale(1);
	}

	50% {
		transform: scale(1.2);
	}

	100% {
		transform: scale(1);
	}
}

.pays {
	margin-top: 0.2rem;
}

.pay-icon {
	width: 0.2rem;
}

.pay-text {
	color: #6e6e6e;
	margin-left: 0.05rem;
}

.pay-checked {
	width: 0.2rem;
	height: 0.2rem;
}

.fix-icon {
	position: fixed;
	right: -1px;
	background: linear-gradient(to bottom, #fdea7b, #f6d54b);
	border: 1px solid #fe941d;
	color: #d6341f;
	padding: 0.04rem 0.05rem;
	border-top-left-radius: 6px;
	border-bottom-left-radius: 6px;
}

.rule {
	top: 0.8rem;
}

.kf {
	top: 1.5rem;
}

.fix-icon a {
	color: #d6341f;
}

.tuikuan {
	top: 2.2rem;
}

.pop-win {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.5);
	z-index: 2;
	display: none;
}

.rule_content {
	width: 85%;
	margin: 1rem auto 0;
	border-radius: 0.1rem;
	background: rgb(253, 245, 230);
	font-size: 0.12rem;
	overflow: hidden;
}

.rule_title {
	color: rgb(179, 70, 0);
	font-size: 0.2rem;
	height: 0.4rem;
	line-height: 0.4rem;
}

.rule_cont {
	font-size: 0.14rem;
	height: 3.4rem;
	overflow-y: auto;
	line-height: 0.23rem;
	margin: 0 0.1rem;
}

.operate {
	background: #ffffff;
	padding: 0.07rem 0;
}

.operate_btn {
	border-radius: 30px;
	border: 1px solid #888;
	width: 1.5rem;
	font-size: 0.18rem;
	margin: 0 auto;
	padding: 0.05rem 0;
}

.pay_result_dialog_div {
	width: 100%;
	height: 100%;
	position: fixed;
	left: 0;
	top: 0;
	z-index: 300;
	display: none;
}

.pay_result_dialog_div .dialog_bg {
	background-color: black;
	width: 100%;
	height: 100%;
	opacity: 0.5;
}

.pay_result_dialog_div .dialog_content {
	background-color: white;
	width: 90%;
	position: absolute;
	left: 50%;
	border-radius: 10px;
	top: 50%;
	transform: translate(-50%, -50%);
}

.pay_result_dialog_div .dialog_content .dialog_title {
	font-size: 0.2rem;
	font-weight: 600;
	margin-top: 0.16rem;
}

.pay_result_dialog_div .dialog_content .dialog_title2 {
	font-size: 0.13rem;
	margin-top: 0.08rem;
}

.pay_result_dialog_div .dialog_content .dialog_content_div {
	padding: 0 0.15rem 0.15rem 0.15rem;
}

.pay_result_dialog_div .dialog_content .dialog_content_div .buy_money {
	font-size: 0.3rem;
	color: #dd5252;
	margin-top: 0.2rem;
}

.pay_result_dialog_div .dialog_content .dialog_content_div .dialog_content_btn {
	height: 0.5rem;
	line-height: 0.5rem;
	display: block;
	border-radius: 0.5rem;
	color: #f32119;
	border: 1px solid #f32119;
	font-size: 0.16rem;
}

.pay_result_dialog_div .dialog_content .dialog_content_div .selected {
	background-color: #f32119;
	margin-bottom: 0.1rem;
	color: white;
}

.buy_nowsfea .p2 {
	position: absolute;
	right: 0;
	top: -0.25rem;
	background: #2a9dfc;
	color: #fff;
	font-size: 0.14rem;
	height: 0.25rem;
	line-height: 0.25rem;
	border-radius: 0.2rem 0.2rem 0.2rem 0;
	padding: 0 0.12rem;
	letter-spacing: 2px;
}

strong {
	color: #dd5252;
	font-weight: normal;
}

.pop-wl {
	position: fixed;
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.7);
	align-content: center;
	flex-wrap: wrap;
	z-index: 20;
	display: none;
}

.pon-win {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	height: 100%;
	justify-content: center;
}

.pop-wl .bg1 {
	width: 80%;
	text-align: center;
}

.pop-wl .bg1 .text {
	color: #f42e01;
	font-size: 1rem;
	font-weight: 700;
	font-style: italic;
	position: absolute;
	top: 2.8rem;
	text-align: center;
	width: 100%;
}

.submit2 img {
	width: 80%;
	margin: 0 auto;
}

#pop-price {
	position: absolute;
	/* width: 56%;
    height: 7%;
    top: 47%;
    left: 27%; */
	color: rgb(245, 97, 47);
	font-size: 0.34rem;
	font-style: italic;
	font-weight: bold;
}

.close2 img {
	width: 0.3rem;
}

.pop-wl .bg2 {
	width: 80%;
}

.pop-wl .bg2 img {
	width: 100%;
}

.wc-bg {
	position: relative;
	background: url(../images/wc-bg.jpg);
	width: 100%;
	height: 5rem;
	background-size: 100%;
	background-repeat: no-repeat;
	padding-top: 0.27rem;
}

.wc-bg .title {
	width: 2.8rem;
	margin: 0 auto;
}

.wc-bg .kanju-btn {
	width: 2.4rem;
	position: absolute;
	bottom: 0.33rem;
	left: 50%;
	margin-left: -1.2rem;
	-webkit-animation-name: 'pulse';
	-webkit-animation-duration: 1s;
	-webkit-animation-timing-function: ease-in-out;
	-webkit-animation-delay: 0s;
	-webkit-animation-iteration-count: infinite;
}

.wc-bg2 {
	position: relative;
	background: url(../images/wc-bg2.jpg);
	width: 100%;
	height: 4.84rem;
	background-size: 100%;
	background-repeat: no-repeat;
}

.video-box {
	width: 3rem;
	height: 1.8rem;
	overflow: hidden;
	margin: 0 auto;
	margin-top: 1rem;
	background: #000;
	border-radius: 10px;
}

.play-btn {
	position: absolute;
	top: 50%;
	left: 50%;
	z-index: 1;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	width: .4rem;
}

/*游戏区域*/
.play-count{
	position: absolute;
	top: 1.05rem;
	width: 100%;
	justify-content: center;
	color: #fff;
	font-size: 0.14rem;
}
.play-count .count{
	color: #ffe613;
	margin: 0 0.04rem;
}
.play {
	position: absolute;
	left: 0.47rem;
	top: 1.2rem;
	z-index: 1;
}

.play li {
	position: relative;
	float: left;
	margin: 0.08rem 0 0 0.08rem;
	width: 0.8rem;
	height: 0.8rem;
	background-color: #ffffd6;
	border-radius: 10px;
	border: 2px solid #ffc826;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.play li span{
	font-weight: 600;
}

.play li:nth-child(4) {
	left: 1.81rem;
}

.play li:nth-child(6) {
	top: 0.9rem;
}

.play li:nth-child(7) {
	left: 0.9rem;
}

.play li:nth-child(8) {
	left: -0.9rem;
}

.play li:nth-child(9) {
	left: -1.81rem;
	top: -0.89rem;
}

.play .btn {
	background-color: #ffe613;
	font-size: 0.2rem;
	font-weight: 600;
	color: #c62400;
	/* -webkit-animation-name: 'pulse';
	-webkit-animation-duration: 1s;
	-webkit-animation-timing-function: ease-in-out;
	-webkit-animation-delay: 0s;
	-webkit-animation-iteration-count: infinite; */
}

.play li.select {
	background-color: #ffe613;
	border-radius: 10px;
	border: 2px solid #000;
}
.play li .prize-icon{
	width: 0.3rem;
	margin-bottom: 0.05rem;
}

#mask {
	display: none;
	position: fixed;
	left: 0;
	top: 0;
	z-index: 10;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.85);
}

#mask .winning {
	position: absolute;
	left: 50%;
	top: 55%;
	z-index: 1;
	width: 2.6rem;
	height: 3.6rem;
	margin: -1.8rem 0 0 -1.3rem;
	-o-transform: scale(0.1);
	-ms-transform: scale(0.1);
	-moz-transform: scale(0.1);
	-webkit-transform: scale(0.1);
	transform: scale(0.1);
}

#mask .reback {
	-o-animation: reback .5s linear forwards;
	-ms-animation: reback .5s linear forwards;
	-moz-animation: reback .5s linear forwards;
	-webkit-animation: reback .5s linear forwards;
	animation: reback .5s linear forwards;
}

@keyframes reback {
	100% {
		-o-transform: scale(1);
		-ms-transform: scale(1);
		-moz-transform: scale(1);
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}

.winning .red-head {
	position: relative;
	width: 100%;
	height: 1rem;
	background-image: url("../images/hb-top.png");
	background-size: cover;
	background-repeat: no-repeat;
}

.winning .red-body {
	position: relative;
	z-index: 2;
	width: 100%;
	height: 2.4rem;
	top: -0.3rem;
	padding: 0.9rem 0.16rem 0;
	background-image: url("../images/hb-bottom.png");
	background-size: contain;
	background-repeat: no-repeat;
}

.winning #card {
	position: absolute;
	left: 50%;
	top: 73%;
	z-index: 1;
	margin-left: -1.21rem;
	margin-top: -1.38rem;
	width: 100%;
	-o-transition: top .5s;
	-ms-transition: top .5s;
	-moz-transition: top .5s;
	-webkit-transition: top .5s;
	transition: top .5s;
}

#card .win {
	display: block;
	color: #ff0000;
	width: 93%;
	height: 1.8rem;
	background-image: url("../images/prize2.png");
	background-size: 100%;
	background-repeat: no-repeat;
}
#card .win .win-title{
	text-align: center;
	font-size: 0.23rem;
	padding-top: 0.3rem;
	font-weight: 600;
}
#card .win .win-price{
	justify-content: center;
	align-items: baseline;
}
#card .win .win-price .amount{
	font-size: 0.45rem;
	font-weight: 600;
}
#card .win .win-price .unit{
	font-size: 0.28rem;
	margin-left: 0.1rem;
	display: none;
}
#card .win .win-dec{
	text-align: center;
	font-size: 0.16rem;
	color: #0176ff;
}
.input{
	width: 100%;
	padding: 0.1rem;
	height: 0.36rem;
	border-radius: 6px;
	box-sizing: border-box;
	border: none;
}
.input:focus{
	outline: none;
}

.winning .pull {
	-o-animation: card .5s linear forwards;
	-ms-animation: card .5s linear forwards;
	-moz-animation: card .5s linear forwards;
	-webkit-animation: card .5s linear forwards;
	animation: card .5s linear forwards;
}

@keyframes card {
	100% {
		margin-top: -3.2rem;
	}
}

.winning .btn {
	color: #ad3f20;
	height: 0.4rem;
	line-height: 0.4rem;
	text-align: center;
	font-size: 0.2rem;
	font-weight: 600;
	border-radius: 30px;
	margin-top: 0.2rem;
	background: linear-gradient(to right, #fff1d8, #ffc581);
}

#close {
	opacity: 0;
	position: absolute;
	right: 0rem;
	top: -0.95rem;
	z-index: 10;
	width: 0.3rem;
	height: 0.3rem;
	background-image: url("../images/close.png");
	background-size: cover;
	-o-animation: fadein .5s .5s linear forwards;
	-ms-animation: fadein .5s .5s linear forwards;
	-moz-animation: fadein .5s .5s linear forwards;
	-webkit-animation: fadein .5s .5s linear forwards;
	animation: fadein .5s .5s linear forwards;
}

@keyframes fadein {
	100% {
		opacity: 1;
		-o-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}